<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "Apple_Ads",
  "identifier" : "/documentation/apple_ads/Get-Localized-App-Details",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Ads"
    ],
    "preciseIdentifier" : "rest:apple_ads:get:v5-apps-{}-locale-details"
  },
  "title" : "Get Localized App Details"
}
-->

# Get Localized App Details

Fetches the localized default product page for an app.

## Discussion

Use this endpoint to return localized app details using your `adamId` in the resource path. Related objects: [`MediaLocaleDetail`](/documentation/apple_ads/MediaLocaleDetail),
[`MediaLocaleDetailResponse`](/documentation/apple_ads/MediaLocaleDetailResponse).

### Query Parameters

- expand: Detailed app asset details of a device. Use `true` for expanded values in the API response.

### Get localized app details example

**Request:**

```
GET https://api.searchads.apple.com/api/v5/apps/{adamId}/locale-details        
```

**Response:**

```json
{
  "data": [
    {
      "language": "en-US",
      "appName": "Trip Trek",
      "shortDescription": "Trip Trek app.",
      "isPrimaryLocale": true,
      "subTitle": "Search for trips.",
      "appPreviewDeviceWithAssets": {
        "ipadPro": {
          "appPreviewDeviceFallBackDevices": null,
          "screenshots": [
            {
              "assetGenId": "…",
              "assetToken": "…",
              "assetUrl": "…",
              "appPreviewDevice": "…",
              "sortPosition": 1,
              "sourceHeight": 2732,
              "sourceWidth": 2048,
              "orientation": "PORTRAIT",
              "assetType": "SCREENSHOT",
              "checksum": "…",
              "pictureUrl": "…",
              "videoUrl": null,
              "assetDuplicationType": null
            }
          ],
          "appPreviews": null
        }
      }
    }
  ]
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)